Bug 1871128 - CVE-2020-14333 ovirt-engine: Reflected cross site scripting vulnerability
Summary: CVE-2020-14333 ovirt-engine: Reflected cross site scripting vulnerability
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.4.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.4.3
: 4.4.3.3
Assignee: Artur Socha
QA Contact: Ivana Saranova
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-14333
TreeView+ depends on / blocked
 
Reported: 2020-08-21 11:49 UTC by Stoyan Nikolov
Modified: 2020-11-11 06:43 UTC (History)
3 users (show)

Fixed In Version: ovirt-engine-4.4.3.3
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-11 06:39:45 UTC
oVirt Team: Infra
pm-rhel: ovirt-4.4+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 111277 0 master MERGED sso: CVE-2020-14333, fix XSS in login flow 2020-10-05 11:25:38 UTC

Description Stoyan Nikolov 2020-08-21 11:49:47 UTC
This bug is created to ensure that one or more security vulnerabilities are fixed in affected versions of ovirt-engine.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

Please also mention the CVE IDs being fixed in the changelog and the commit message.

Comment 1 Ivana Saranova 2020-10-05 23:21:35 UTC
Steps:
1) Accessing RHEVM auth with script insertions

Results:
Proper error message is shown. Script is not executed.

Verified in:
ovirt-engine-4.4.3.5-0.5.el8ev.noarch

Comment 2 Sandro Bonazzola 2020-11-11 06:39:45 UTC
This bugzilla is included in oVirt 4.4.3 release, published on November 10th 2020.

Since the problem described in this bug report should be resolved in oVirt 4.4.3 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.